"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSupportedPID = function (data, pid) {
    var integer = parseInt(pid, 16);
    // the PIDs that has the bitwise flags of supported PIDs
    if (integer % 0x20 == 0) {
        return true;
    }
    var segment = Math.floor(integer / 0x20) * 0x20;
    var bitmap = data.supportedPIDs["segment" + (segment == 0 ? '00' : segment.toString(16))];
    var bit = Math.pow(2, 0x20 - (integer % 0x20));
    return (bitmap & bit) !== 0;
};
//# sourceMappingURL=utils.js.map