"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function fuelSystemStatus() {
    return function (source) {
        return source.lift(new FuelSystemStatusOperator());
    };
}
exports.fuelSystemStatus = fuelSystemStatus;
var FuelSystemStatusOperator = /** @class */ (function () {
    function FuelSystemStatusOperator() {
    }
    FuelSystemStatusOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new FuelSystemStatusSubscriber(subscriber));
    };
    return FuelSystemStatusOperator;
}());
var FuelSystemStatusSubscriber = /** @class */ (function (_super) {
    __extends(FuelSystemStatusSubscriber, _super);
    function FuelSystemStatusSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    FuelSystemStatusSubscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    FuelSystemStatusSubscriber.prototype.command = function () {
        return '01 03 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    FuelSystemStatusSubscriber.prototype.field = function () {
        return 'fuelSystemStatus';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    FuelSystemStatusSubscriber.prototype.parse = function (bytes) {
        return bytes[2] + " " + bytes[3];
    };
    return FuelSystemStatusSubscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=fuelSystemStatus.js.map