"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function commandedSecondaryAirStatus() {
    return function (source) {
        return source.lift(new commandedSecondaryAirStatusOperator());
    };
}
exports.commandedSecondaryAirStatus = commandedSecondaryAirStatus;
var commandedSecondaryAirStatusOperator = /** @class */ (function () {
    function commandedSecondaryAirStatusOperator() {
    }
    commandedSecondaryAirStatusOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new commandedSecondaryAirStatusSubscriber(subscriber));
    };
    return commandedSecondaryAirStatusOperator;
}());
var commandedSecondaryAirStatusSubscriber = /** @class */ (function (_super) {
    __extends(commandedSecondaryAirStatusSubscriber, _super);
    function commandedSecondaryAirStatusSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    commandedSecondaryAirStatusSubscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    commandedSecondaryAirStatusSubscriber.prototype.command = function () {
        return '01 12 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    commandedSecondaryAirStatusSubscriber.prototype.field = function () {
        return 'commandedSecondaryAirStatus';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    commandedSecondaryAirStatusSubscriber.prototype.parse = function (bytes) {
        return parseInt(bytes[2], 16);
    };
    return commandedSecondaryAirStatusSubscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=commandedSecondaryAirStatus.js.map