"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function engineCoolantTemperature() {
    return function (source) {
        return source.lift(new EngineCoolantTemperatureOperator());
    };
}
exports.engineCoolantTemperature = engineCoolantTemperature;
var EngineCoolantTemperatureOperator = /** @class */ (function () {
    function EngineCoolantTemperatureOperator() {
    }
    EngineCoolantTemperatureOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new EngineCoolantTemperatureSubscriber(subscriber));
    };
    return EngineCoolantTemperatureOperator;
}());
var EngineCoolantTemperatureSubscriber = /** @class */ (function (_super) {
    __extends(EngineCoolantTemperatureSubscriber, _super);
    function EngineCoolantTemperatureSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    EngineCoolantTemperatureSubscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    EngineCoolantTemperatureSubscriber.prototype.command = function () {
        return '01 05 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    EngineCoolantTemperatureSubscriber.prototype.field = function () {
        return 'engineCoolantTemperature';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    EngineCoolantTemperatureSubscriber.prototype.parse = function (bytes) {
        return parseInt(bytes[2], 16) - 40;
    };
    return EngineCoolantTemperatureSubscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=engineCoolantTemperature.js.map