"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function engineFuelRate() {
    return function (source) {
        return source.lift(new EngineFuelRateOperator());
    };
}
exports.engineFuelRate = engineFuelRate;
var EngineFuelRateOperator = /** @class */ (function () {
    function EngineFuelRateOperator() {
    }
    EngineFuelRateOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new EngineFuelRateSubscriber(subscriber));
    };
    return EngineFuelRateOperator;
}());
var EngineFuelRateSubscriber = /** @class */ (function (_super) {
    __extends(EngineFuelRateSubscriber, _super);
    function EngineFuelRateSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    EngineFuelRateSubscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    EngineFuelRateSubscriber.prototype.command = function () {
        return '01 5E 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    EngineFuelRateSubscriber.prototype.field = function () {
        return 'engineFuelRate';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    EngineFuelRateSubscriber.prototype.parse = function (bytes) {
        var a = parseInt(bytes[2], 16) * 256;
        var b = parseInt(bytes[3], 16);
        return (a + b) / 20;
    };
    return EngineFuelRateSubscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=engineFuelRate.js.map