"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function fuelPressure() {
    return function (source) {
        return source.lift(new FuelPressureOperator());
    };
}
exports.fuelPressure = fuelPressure;
var FuelPressureOperator = /** @class */ (function () {
    function FuelPressureOperator() {
    }
    FuelPressureOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new FuelPressureSubscriber(subscriber));
    };
    return FuelPressureOperator;
}());
var FuelPressureSubscriber = /** @class */ (function (_super) {
    __extends(FuelPressureSubscriber, _super);
    function FuelPressureSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    FuelPressureSubscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    FuelPressureSubscriber.prototype.command = function () {
        return '01 0A 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    FuelPressureSubscriber.prototype.field = function () {
        return 'fuelPressure';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    FuelPressureSubscriber.prototype.parse = function (bytes) {
        return parseInt(bytes[2], 16) * 3;
    };
    return FuelPressureSubscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=fuelPressure.js.map