"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function fuelTankLevel() {
    return function (source) {
        return source.lift(new FuelTankLevelOperator());
    };
}
exports.fuelTankLevel = fuelTankLevel;
var FuelTankLevelOperator = /** @class */ (function () {
    function FuelTankLevelOperator() {
    }
    FuelTankLevelOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new FuelTankLevelSubscriber(subscriber));
    };
    return FuelTankLevelOperator;
}());
var FuelTankLevelSubscriber = /** @class */ (function (_super) {
    __extends(FuelTankLevelSubscriber, _super);
    function FuelTankLevelSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every 5 pulses.
     */
    FuelTankLevelSubscriber.prototype.pulse = function () {
        return 5;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    FuelTankLevelSubscriber.prototype.command = function () {
        return '01 2F 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    FuelTankLevelSubscriber.prototype.field = function () {
        return 'fuelTankLevel';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    FuelTankLevelSubscriber.prototype.parse = function (bytes) {
        return parseInt(bytes[2], 16) * 100 / 255;
    };
    return FuelTankLevelSubscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=fuelTankLevel.js.map