"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function intakeAirTemperature() {
    return function (source) {
        return source.lift(new IntakeAirTemperatureOperator());
    };
}
exports.intakeAirTemperature = intakeAirTemperature;
var IntakeAirTemperatureOperator = /** @class */ (function () {
    function IntakeAirTemperatureOperator() {
    }
    IntakeAirTemperatureOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new IntakeAirTemperatureSubscriber(subscriber));
    };
    return IntakeAirTemperatureOperator;
}());
var IntakeAirTemperatureSubscriber = /** @class */ (function (_super) {
    __extends(IntakeAirTemperatureSubscriber, _super);
    function IntakeAirTemperatureSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    IntakeAirTemperatureSubscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    IntakeAirTemperatureSubscriber.prototype.command = function () {
        return '01 0F 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    IntakeAirTemperatureSubscriber.prototype.field = function () {
        return 'intakeAirTemperature';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    IntakeAirTemperatureSubscriber.prototype.parse = function (bytes) {
        return parseInt(bytes[2], 16) - 40;
    };
    return IntakeAirTemperatureSubscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=intakeAirTemperature.js.map