"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var OBDOuterSubscriber_1 = require("../model/OBDOuterSubscriber");
function throttlePosition() {
    return function (source) {
        return source.lift(new ThrottlePositionOperator());
    };
}
exports.throttlePosition = throttlePosition;
var ThrottlePositionOperator = /** @class */ (function () {
    function ThrottlePositionOperator() {
    }
    ThrottlePositionOperator.prototype.call = function (subscriber, source) {
        return source.subscribe(new ThrottlePositionSubscriber(subscriber));
    };
    return ThrottlePositionOperator;
}());
var ThrottlePositionSubscriber = /** @class */ (function (_super) {
    __extends(ThrottlePositionSubscriber, _super);
    function ThrottlePositionSubscriber(destination) {
        return _super.call(this, destination) || this;
    }
    /**
     * Return the frequency of execution of this command.
     * @return that this command must be executed every pulse.
     */
    ThrottlePositionSubscriber.prototype.pulse = function () {
        return 1;
    };
    /**
     * Return the string representation of the OBD Read command.
     * @returns the string representation of the OBD Read command
     */
    ThrottlePositionSubscriber.prototype.command = function () {
        return '01 11 1\r';
    };
    /**
     * Return the name of the OBD Field on OBD Data object.
     * @returns the name of the OBD Field on OBD Data object.
     */
    ThrottlePositionSubscriber.prototype.field = function () {
        return 'throttlePosition';
    };
    /**
     * Parse the OBD response.
     * @param bytes the response read from OBD.
     * @returns the parsed response.
     */
    ThrottlePositionSubscriber.prototype.parse = function (bytes) {
        return parseInt(bytes[2], 16) * 100 / 255;
    };
    return ThrottlePositionSubscriber;
}(OBDOuterSubscriber_1.OBDOuterSubscriber));
//# sourceMappingURL=throttlePosition.js.map